﻿@model eCommerce.Services.Model.DeliveryOrder
@using eCommerce.Services.Model.Enums

<table class="table table-responsive table-hover table-bordered">
    <tbody>
    @if (Model.Order.DeliveryMethodId == (int)DeliveryMethodEnum.OcaPaP)
    {
        <tr>
            <th width="15%">Nombre</th>
            <td>@Model.Order.Customer.FullName</td>
        </tr>
        <tr>
            <th width="15%">Email</th>
            <td>@Model.Order.Customer.Email</td>
        </tr>
        <tr>
            <th width="15%">Localidad</th>
            <td>@Model.Order.Customer.Province.Name</td>
        </tr>
        <tr>
            <th width="15%">Ciudad</th>
            <td>@Model.Order.Customer.City</td>
        </tr>
        <tr>
            <th width="15%">Dirección</th>
            <td>@Model.Order.Customer.Address @Model.Order.Customer.AddressNumber</td>
        </tr>
        if (Model.Order.Customer.Floor != null)
        {
            <tr>
                <th width="15%">Piso</th>
                <td>@Model.Order.Customer.Floor</td>
            </tr>
        }
        if (Model.Order.Customer.Department != null)
        {
            <tr>
                <th width="15%">Departamento</th>
                <td>@Model.Order.Customer.Department</td>
            </tr>
        }
        <tr>
            <th width="15%">Código Postal</th>
            <td>@Model.Order.Customer.ZipCode</td>
        </tr>
        <tr>
            <th width="15%">Teléfono</th>
            <td>@Model.Order.Customer.PhoneNumber</td>
        </tr>
        <tr>
            <th width="15%">Celular</th>
            <td>@Model.Order.Customer.Cellphone</td>
        </tr>
    }
    else if (Model.Order.DeliveryMethodId == (int)DeliveryMethodEnum.OcaPaS)
    {
        <tr>
            <th width="15%">Nombre</th>
            <td>@Model.Order.Customer.FullName</td>
        </tr>
        <tr>
            <th width="15%">Email</th>
            <td>@Model.Order.Customer.Email</td>
        </tr>
        <tr>
            <th width="15%">Sucursal de Oca</th>
            <td>#@Model.Order.OcaCenterId - @Model.Order.DeliveryAddress</td>
        </tr>
        <tr>
            <th width="15%">Código Postal</th>
            <td>@Model.Order.Customer.ZipCode</td>
        </tr>
        <tr>
            <th width="15%">Teléfono</th>
            <td>@Model.Order.Customer.PhoneNumber</td>
        </tr>
        <tr>
            <th width="15%">Celular</th>
            <td>@Model.Order.Customer.Cellphone</td>
        </tr>
    }

    </tbody>
</table>

